Bug 1530271 (CVE-2017-17854) - CVE-2017-17854 kernel: bpf/verifier.c allows local users to cause a denial of service by leveraging unrestricted integer values for pointer arithmetic
Summary: CVE-2017-17854 kernel: bpf/verifier.c allows local users to cause a denial of...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2017-17854
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1530279 1530309
Blocks: 1528364
TreeView+ depends on / blocked
 
Reported: 2018-01-02 12:31 UTC by Adam Mariš
Modified: 2019-09-29 14:28 UTC (History)
42 users (show)

Fixed In Version: kernel 4.15
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-12 13:04:48 UTC


Attachments (Terms of Use)

Description Adam Mariš 2018-01-02 12:31:01 UTC
kernel/bpf/verifier.c in the Linux kernel through 4.14.8 allows local users to cause a denial of service (integer overflow and memory corruption) or possibly have unspecified other impact by leveraging unrestricted integer values for pointer arithmetic. 

Upstream patch:

https://github.com/torvalds/linux/commit/bb7f0f989ca7de1153bd128a40a71709e339fa03

References:

http://www.openwall.com/lists/oss-security/2017/12/21/2

Comment 1 Adam Mariš 2018-01-02 12:42:12 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1530279]

Comment 3 Prasad J Pandit 2018-01-18 05:32:02 UTC
Statement:

This issue does not affect the versions of the kernel package as shipped with Red Hat Enterprise Linux 5, 6, 7 and Red Hat Enterprise MRG 2.

Comment 5 Product Security DevOps Team 2019-07-12 13:04:48 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2017-17854


Note You need to log in before you can comment on or make changes to this bug.